=== debian/changelog ===
golang-github-segmentio-asm (1.2.0+git20231107.1cfacc8-1) unstable; urgency=medium

  * Initial release. (Closes: #1107563)

 -- Raul Tambre <raul@tambre.ee>  Mon, 30 Jun 2025 17:21:18 +0300
