=== debian/control ===
Source: golang-github-segmentio-asm
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Raul Tambre <raul@tambre.ee>
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-segmentio-asm
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-segmentio-asm.git
Homepage: https://github.com/segmentio/asm
Standards-Version: 4.7.2
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/segmentio/asm
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-mmcloughlin-avo-dev,
 golang-golang-x-sys-dev,

Package: golang-github-segmentio-asm-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Go library with algorithms optimized for modern CPUs
 Provides high-performance assembly implementations of various common
 algorithms for Go.
