=== debian/rules ===
#!/usr/bin/make -rf
include /usr/share/dpkg/pkg-info.mk

# Upstream already ships generated assembly.
# `valid` just validates UTF-8 data, doesn't seem worth including.
export DH_GOLANG_EXCLUDES := \
	github.com/segmentio/asm/build \
	github.com/segmentio/asm/utf8/cmd/valid

%:
	dh $@ --builddirectory=_build
