=== debian/watch ===
version=4
opts=mode=git https://github.com/segmentio/asm.git refs/tags/v@ANY_VERSION@
