## golang-github-segmentio-asm 1.2.1

=== debian/changelog ===
golang-github-segmentio-asm (1.2.1-1) unstable; urgency=medium

  [ Raul Tambre ]
  * New upstream version 1.2.1
    - upstream has no new changes, but they tagged the latest commit so in
      Debian we can stop using a prerelease version string
  * Update debian/watch to version 5

  [ Otto Kekäläinen ]
  * Add myself as uploader to match actual situation

 -- Otto Kekäläinen <otto@debian.org>  Fri, 21 Nov 2025 21:42:13 -0800
