=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Raul Tambre <raul@tambre.ee>
+Uploaders:
+ Raul Tambre <raul@tambre.ee>,
+ Otto Kekäläinen <otto@debian.org>,
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-segmentio-asm
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-segmentio-asm.git
 Homepage: https://github.com/segmentio/asm
@@ -19,7 +21,8 @@
 Package: golang-github-segmentio-asm-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Description: Go library with algorithms optimized for modern CPUs
  Provides high-performance assembly implementations of various common
  algorithms for Go.
